Component.StandardGenerationContextLocator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class Component.StandardGenerationContextLocator

    java.lang.Object
      org.hibernate.mapping.Component.StandardGenerationContextLocator

All Implemented Interfaces:
  CompositeNestedGeneratedValueGenerator.GenerationContextLocator

Enclosing class:
  Component

    public static class Component.StandardGenerationContextLocator

extends Object
implements CompositeNestedGeneratedValueGenerator.GenerationContextLocator

Constructor Summary
`Component.StandardGenerationContextLocator(String entityName)`

Method Summary
`Serializable` | `locateGenerationContext(SessionImplementor session, Object incomingObject)` Given the incoming object, determine the context for injecting back its generated id sub-values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Component.StandardGenerationContextLocator

    public Component.StandardGenerationContextLocator(String entityName)

Method Detail

### locateGenerationContext

    public Serializable locateGenerationContext(SessionImplementor session,
                                                Object incomingObject)

  Description copied from interface: `CompositeNestedGeneratedValueGenerator.GenerationContextLocator`
  Given the incoming object, determine the context for injecting back its generated id sub-values.

  Specified by:
    `locateGenerationContext` in interface `CompositeNestedGeneratedValueGenerator.GenerationContextLocator`
  Parameters:
    `session` - The current session
    `incomingObject` - The entity for which we are generating id
  Returns:
    The injection context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.